Bug 205366 - Pirut won't retrieve software info- yum will.
Pirut won't retrieve software info- yum will.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
5
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-06 08:40 EDT by at-dot-at
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-13 10:17:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
crash dump as provided (2.48 KB, application/octet-stream)
2006-09-06 08:40 EDT, at-dot-at
no flags Details
Earlier crash dump (1.95 KB, application/octet-stream)
2006-09-06 08:44 EDT, at-dot-at
no flags Details

  None (edit)
Description at-dot-at 2006-09-06 08:40:45 EDT
Description of problem: Pirut (Package Manager - when will we learn to put the
name of the executable on the window label???) throws error "Unable to retrieve
software information". Selecting "OK" closes the app. Yum works fine.


Version-Release number of selected component (if applicable):
pirut.noarch                             1.0.3-0.fc5  

How reproducible:
Just run it.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 at-dot-at 2006-09-06 08:40:45 EDT
Created attachment 135646 [details]
crash dump as provided
Comment 2 at-dot-at 2006-09-06 08:44:04 EDT
Created attachment 135647 [details]
Earlier crash dump

Maybe bugzilla should allow more than one attachment?
Comment 3 Jeremy Katz 2006-09-06 08:47:54 EDT
What is your proxy setup?
Comment 4 at-dot-at 2006-09-06 12:12:11 EDT
http-proxy=http://cache.uwe.ac.uk/

Yum works fine, as does kyum, so I doubt it is proxy setup.

Pirut spens several seconds "Retrieving software information"
before it stops with the error
Comment 5 at-dot-at 2006-09-06 12:17:02 EDT
Ooops that '-' should be a '_'  :-(

Comment 6 Jeremy Katz 2006-09-11 15:31:36 EDT
Is the proxy config set up via an environmental variable or in the yum.conf?
Comment 7 at-dot-at 2006-09-12 05:58:05 EDT
Proxy is set via $http_proxy shell variable in /etc/profile.

kyum also works.
Comment 8 at-dot-at 2006-09-12 06:23:13 EDT
I did look at the proxy configuration in 'yum.conf' but didn't do that as

1. yum works with the shell variable.
2. The machine is a laptop and lives in two different networks so the proxy
changes depending on the network address. I.E /etc/profile has:-

ifconfig eth0 | grep 164.11.38 >/dev/null 2>&1
if [ $? == 0 ]; then
    http_proxy=http://cache.uwe.ac.uk/
    export http_proxy
    ftp_proxy=ftp://cache.uwe.ac.uk/
    export ftp_proxy
fi

Can I explicitly set the proxy in yum.conf like this

proxy=$http_proxy

??????

It is not clear to me whether shell variables would be in scope in yum.conf?
Maybe some other incantation would be needed.



Andy
Comment 9 Jeremy Katz 2006-09-12 17:44:10 EDT
How are you launching pup/pirut?  Does it work better if you launch it directly
from a terminal?

It looks a bit like the environment variable isn't getting propagated properly here
Comment 10 at-dot-at 2006-09-13 07:47:30 EDT
You are quite correct!!!

Pirut works fine if started from a terminal.

I did a check on the environment variable propagation and it isn't propagated
into X even if the machine is in 'init 3' state and you 'startx' from a shell
which does have the http_proxy defined _and_ exported.

Sorry to have troubled you with my inadequate X knowledge. If you know how I can
fix this I'd be grateful but I don't think it is a pirut bug anymore. Please close.

Andy

Note You need to log in before you can comment on or make changes to this bug.